## libgedit-gfls 0.3.0

=== meson_options.txt ===
option(
  'gobject_introspection',
  type: 'boolean', value: true,
  description: 'Build GObject Introspection data (requires gobject-introspection)'
)

option(
  'gtk_doc',
  type: 'boolean', value: true,
  description: 'Build API reference (requires gtk-doc)'
)

option(
  'tests',
  type: 'boolean', value: true,
  description: 'Build tests (requires gtk3 for interactive GUI tests)'
)

## libgedit-gfls 0.2.1

=== debian/changelog ===
libgedit-gfls (0.2.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 17:09:50 -0500

libgedit-gfls (0.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #1093811)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 15:13:31 -0500

=== debian/control ===
Source: libgedit-gfls
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-build-api (= 1),
               gir1.2-gtk-3.0-dev,
               gtk-doc-tools (>= 1.25),
               libgirepository1.0-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.78),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.22),
               libgtk-3-doc,
               meson,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://gedit-text-editor.org/
Vcs-Browser: https://salsa.debian.org/gnome-team/libgedit-gfls
Vcs-Git: https://salsa.debian.org/gnome-team/libgedit-gfls.git

Package: libgedit-gfls-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgedit-gfls-1-0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.22),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgedit-gfls-doc
Description: File loading and saving library for gedit - development files
 libgedit-gfls is a file loading and saving library for the gedit
 text editor.
 .
 This package contains the development headers and libraries.

Package: libgedit-gfls-1-0
Architecture: any
Multi-Arch: same
Depends: libgedit-gfls-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: File loading and saving library for gedit
 libgedit-gfls is a file loading and saving library for the gedit
 text editor.

Package: libgedit-gfls-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: File loading and saving library for gedit - common files
 libgedit-gfls is a file loading and saving library for the gedit
 text editor.
 .
 This package contains architecture-independent files such as translations.

Package: libgedit-gfls-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for libgedit-gfls
 libgedit-gfls is a file loading and saving library for the gedit
 text editor.
 .
 This package contains the API reference.

Package: gir1.2-gfls-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: File loading and saving library for gedit - GObject introspection
 libgedit-gfls is a file loading and saving library for the gedit
 text editor.
 .
 This package contains the GObject introspection binding.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =  -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

## libgedit-gfls 0.3.0

=== debian/changelog ===
libgedit-gfls (0.3.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection (Closes: #1118862)
  * d/control: Standards-Version: 4.7.2 (no changes required)

  [ Jeremy Bícha ]
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 20:41:25 -0400

libgedit-gfls (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Mar 2025 12:48:33 -0400

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                dh-sequence-gir,
                dpkg-build-api (= 1),
                gir1.2-gtk-3.0-dev,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools (>= 1.25),
-               libgirepository1.0-dev (>= 1.42.0),
                libglib2.0-dev (>= 2.78),
                libglib2.0-doc,
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
                meson,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gedit-text-editor.org/
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgedit-gfls
 Vcs-Git: https://salsa.debian.org/gnome-team/libgedit-gfls.git

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/World/gedit/@PACKAGE@

## libgedit-gfls 0.3.1

=== debian/changelog ===
libgedit-gfls (0.3.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Support nodoc build profile
  * Bump Standards Version to 4.7.3

  [ Helmut Grohne ]
  * Don't build docs for arch-only builds to simplify cross building
    (Closes: #1126386)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Jan 2026 11:02:37 -0500

libgedit-gfls (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Nov 2025 08:27:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: libgedit-gfls
 Section: libs
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-build-api (= 1),
                gir1.2-gtk-3.0-dev,
                gobject-introspection (>= 1.80),
-               gtk-doc-tools (>= 1.25),
                libglib2.0-dev (>= 2.78),
-               libglib2.0-doc,
                libgtk-3-dev (>= 3.22),
-               libgtk-3-doc,
                meson,
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
+Build-Depends-Indep: gtk-doc-tools (>= 1.25) <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgtk-3-doc <!nodoc>,
 Homepage: https://gedit-text-editor.org/
-Vcs-Browser: https://salsa.debian.org/gnome-team/libgedit-gfls
-Vcs-Git: https://salsa.debian.org/gnome-team/libgedit-gfls.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/libgedit-gfls
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/libgedit-gfls.git
 
 Package: libgedit-gfls-dev
 Section: libdevel
@@ -59,6 +58,7 @@
 Package: libgedit-gfls-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for libgedit-gfls

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Dgtk_doc=$(if $(filter libgedit-gfls-doc,$(shell dh_listpackages)),true,false)
